package de.duehl.zipwithzip4j.start.unzip;

import de.duehl.basics.io.FileHelper;
import de.duehl.zipwithzip4j.unzip.UnzipWithZip4J2;

public class UnzipTestZipFolderWithPassword {

    public static void main(String[] args) {
        String dir = "c:\\temp\\zip4j_test_1";

        String zipFilename = FileHelper.concatPathes(dir,
                "daten_per_Programm_verpackt_mit_Paswort_2.zip");
        String directoryToUnzip = FileHelper.concatPathes(dir,
                "daten_vom_Programm_ausgepackt_mit_passwort_2");
        FileHelper.createDirectoryIfNotExists(directoryToUnzip);

        String password = "Geheim";

        UnzipWithZip4J2 unzip = new UnzipWithZip4J2(zipFilename, directoryToUnzip);
        unzip.cypher(password);
        unzip.unzip();
    }

}
